GETRAWPARTITION(3)

NAME
getrawpartition - get the system “raw” partition

LIBRARY
libutil

SYNOPSIS
#include <util.h>
int
getrawpartition(void);

DESCRIPTION
getrawpartition() returns the partition number ( ‘a’ == 0, ‘b’ == 1, ...) of the “raw” partition of the system's disks, or -1 in case of an error, setting the global errno variable. The possible values for errno are the same as in sysctl(3). The “raw” partition is defined as the partition which provides access to the entire disk, regardless of the disk's partition map.

SEE ALSO
getmaxpartitions(3), sysctl(3)

HISTORY
The getrawpartition() function call appeared in NetBSD 1.2.